org.apache.lucene.analysis.uima.ae

## Class AEProviderFactory

- java.lang.Object
- - org.apache.lucene.analysis.uima.ae.AEProviderFactory

    public class AEProviderFactory
    extends Object

Singleton factory class responsible of `AEProvider`s' creation

### Method Summary

Methods
`AEProvider` `getAEProvider(String aePath)`
`AEProvider` `getAEProvider(String aePath, Map<String,Object> runtimeParameters)`
`AEProvider` `getAEProvider(String keyPrefix, String aePath, Map<String,Object> runtimeParameters)`
`static AEProviderFactory` `getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static AEProviderFactory getInstance()

#### getAEProvider

    public AEProvider getAEProvider(String keyPrefix,
                           String aePath,
                           Map<String,Object> runtimeParameters)

Parameters:
  `keyPrefix` - a prefix of the key used to cache the AEProvider
  `aePath` - the AnalysisEngine descriptor path
  `runtimeParameters` - map of runtime parameters to configure inside the AnalysisEngine
Returns:
  AEProvider

#### getAEProvider

    public AEProvider getAEProvider(String aePath)

Parameters:
  `aePath` - the AnalysisEngine descriptor path
Returns:
  AEProvider

#### getAEProvider

    public AEProvider getAEProvider(String aePath,
                           Map<String,Object> runtimeParameters)

Parameters:
  `aePath` - the AnalysisEngine descriptor path
  `runtimeParameters` - map of runtime parameters to configure inside the AnalysisEngine
Returns:
  AEProvider